SPI\_gettypeid

|       SPI\_gettypeid       |                                |                                 |                  |                                |
|:--------------------------:|--------------------------------|---------------------------------|------------------|--------------------------------|
|[Prev](spi-spi-gettype.html)|[Up](spi-interface-support.html)|47.2. Interface Support Functions|[Home](index.html)| [Next](spi-spi-getrelname.html)|

---

[]()

## SPI\_gettypeid

SPI\_gettypeid — return the data type OID of the specified column

## Synopsis

```
Oid SPI_gettypeid(TupleDesc rowdesc, int colnumber)

```

## Description

`SPI_gettypeid` returns the OID of the data type of the specified column.

## Arguments

`TupleDesc *`rowdesc`*`

 input row description

`int *`colnumber`*`

 column number (count starts at 1)

## Return Value

 The OID of the data type of the specified column or `InvalidOid` on error. On error, `SPI_result` is set to `SPI_ERROR_NOATTRIBUTE`.

---

|[Prev](spi-spi-gettype.html)|[Up](spi-interface-support.html)| [Next](spi-spi-getrelname.html)|
|:---------------------------|:------------------------------:|-------------------------------:|
|        SPI\_gettype        |       [Home](index.html)       |         SPI\_getrelname        |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>